Zydis: ZydisFormatter_ Struct Reference

Zydis v4.0.0

Loading...
Searching...
No Matches
Data Fields
ZydisFormatter_ Struct Reference

Context structure keeping track of internal state of the formatter. More...

`#include <Formatter.h>`

## Data Fields
ZydisFormatterStyle | style
| The formatter style.
ZyanBool | force_memory_size
| The `ZYDIS_FORMATTER_PROP_FORCE_SIZE` property.
ZyanBool | force_memory_segment
| The `ZYDIS_FORMATTER_PROP_FORCE_SEGMENT` property.
ZyanBool | force_memory_scale
| The `ZYDIS_FORMATTER_PROP_FORCE_SCALE_ONE` property.
ZyanBool | force_relative_branches
| The `ZYDIS_FORMATTER_PROP_FORCE_RELATIVE_BRANCHES` property.
ZyanBool | force_relative_riprel
| The `ZYDIS_FORMATTER_PROP_FORCE_RELATIVE_RIPREL` property.
ZyanBool | print_branch_size
| The `ZYDIS_FORMATTER_PROP_PRINT_BRANCH_SIZE` property.
ZyanBool | detailed_prefixes
| The `ZYDIS_FORMATTER_DETAILED_PREFIXES` property.
ZydisNumericBase | addr_base
| The `ZYDIS_FORMATTER_ADDR_BASE` property.
ZydisSignedness | addr_signedness
| The `ZYDIS_FORMATTER_ADDR_SIGNEDNESS` property.
ZydisPadding | addr_padding_absolute
| The `ZYDIS_FORMATTER_ADDR_PADDING_ABSOLUTE` property.
ZydisPadding | addr_padding_relative
| The `ZYDIS_FORMATTER_ADDR_PADDING_RELATIVE` property.
ZydisNumericBase | disp_base
| The `ZYDIS_FORMATTER_DISP_BASE` property.
ZydisSignedness | disp_signedness
| The `ZYDIS_FORMATTER_DISP_SIGNEDNESS` property.
ZydisPadding | disp_padding
| The `ZYDIS_FORMATTER_DISP_PADDING` property.
ZydisNumericBase | imm_base
| The `ZYDIS_FORMATTER_IMM_BASE` property.
ZydisSignedness | imm_signedness
| The `ZYDIS_FORMATTER_IMM_SIGNEDNESS` property.
ZydisPadding | imm_padding
| The `ZYDIS_FORMATTER_IMM_PADDING` property.
ZyanI32 | case_prefixes
| The `ZYDIS_FORMATTER_UPPERCASE_PREFIXES` property.
ZyanI32 | case_mnemonic
| The `ZYDIS_FORMATTER_UPPERCASE_MNEMONIC` property.
ZyanI32 | case_registers
| The `ZYDIS_FORMATTER_UPPERCASE_REGISTERS` property.
ZyanI32 | case_typecasts
| The `ZYDIS_FORMATTER_UPPERCASE_TYPECASTS` property.
ZyanI32 | case_decorators
| The `ZYDIS_FORMATTER_UPPERCASE_DECORATORS` property.
ZyanBool | hex_uppercase
| The `ZYDIS_FORMATTER_HEX_UPPERCASE` property.
ZyanBool | hex_force_leading_number
| The `ZYDIS_FORMATTER_HEX_FORCE_LEADING_NUMBER` property.
struct {
const ZyanStringView * string
| A pointer to the `ZyanStringView` to use as prefix/suffix.
ZyanStringView string_data
| The `ZyanStringView` to use as prefix/suffix.
char buffer [11]
| The actual string data.
} | number_format [ZYDIS_NUMERIC_BASE_MAX_VALUE+1][2]
| The number formats for all numeric bases.
ZydisFormatterFunc | func_pre_instruction
| The `ZYDIS_FORMATTER_FUNC_PRE_INSTRUCTION` function.
ZydisFormatterFunc | func_post_instruction
| The `ZYDIS_FORMATTER_FUNC_POST_INSTRUCTION` function.
ZydisFormatterFunc | func_format_instruction
| The `ZYDIS_FORMATTER_FUNC_FORMAT_INSTRUCTION` function.
ZydisFormatterFunc | func_pre_operand
| The `ZYDIS_FORMATTER_FUNC_PRE_OPERAND` function.
ZydisFormatterFunc | func_post_operand
| The `ZYDIS_FORMATTER_FUNC_POST_OPERAND` function.
ZydisFormatterFunc | func_format_operand_reg
| The `ZYDIS_FORMATTER_FUNC_FORMAT_OPERAND_REG` function.
ZydisFormatterFunc | func_format_operand_mem
| The `ZYDIS_FORMATTER_FUNC_FORMAT_OPERAND_MEM` function.
ZydisFormatterFunc | func_format_operand_ptr
| The `ZYDIS_FORMATTER_FUNC_FORMAT_OPERAND_PTR` function.
ZydisFormatterFunc | func_format_operand_imm
| The `ZYDIS_FORMATTER_FUNC_FORMAT_OPERAND_IMM` function.
ZydisFormatterFunc | func_print_mnemonic
| The `ZYDIS_FORMATTER_FUNC_PRINT_MNEMONIC function.
ZydisFormatterRegisterFunc | func_print_register
| The `ZYDIS_FORMATTER_FUNC_PRINT_REGISTER` function.
ZydisFormatterFunc | func_print_address_abs
| The `ZYDIS_FORMATTER_FUNC_PRINT_ADDRESS_ABS` function.
ZydisFormatterFunc | func_print_address_rel
| The `ZYDIS_FORMATTER_FUNC_PRINT_ADDRESS_REL` function.
ZydisFormatterFunc | func_print_disp
| The `ZYDIS_FORMATTER_FUNC_PRINT_DISP` function.
ZydisFormatterFunc | func_print_imm
| The `ZYDIS_FORMATTER_FUNC_PRINT_IMM` function.
ZydisFormatterFunc | func_print_typecast
| The `ZYDIS_FORMATTER_FUNC_PRINT_TYPECAST` function.
ZydisFormatterFunc | func_print_segment
| The `ZYDIS_FORMATTER_FUNC_PRINT_SEGMENT` function.
ZydisFormatterFunc | func_print_prefixes
| The `ZYDIS_FORMATTER_FUNC_PRINT_PREFIXES` function.
ZydisFormatterDecoratorFunc | func_print_decorator
| The `ZYDIS_FORMATTER_FUNC_PRINT_DECORATOR` function.

## Detailed Description

Context structure keeping track of internal state of the formatter.

All fields in this struct should be considered as "private". Any changes may lead to unexpected behavior.

Do NOT change the order of the function fields or the values of the `ZydisFormatterFunction` enum.

## Field Documentation

## ◆

struct { ... } number_format[ZYDIS_NUMERIC_BASE_MAX_VALUE + 1][2]

The number formats for all numeric bases.

Index 0 = prefix Index 1 = suffix

The documentation for this struct was generated from the following file:

- include/Zydis/Formatter.h